String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fCancelarPHP(){	
	document.getElementById("TxtAc").value="C";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fGuardar(){
	var Alm=document.getElementById("CboAlm").value;
	var Dex=document.getElementById("TxtDex").value;
	var Hax=document.getElementById("TxtHax").value;
	
	if(Alm.trim().length==0){
		alert("Seleccione un almacen");
		document.getElementById("CboAlm").focus();
		return;
	}
	if(Dex.trim().length==0){
		alert("Ingrese una fecha 'Desde' segun el formato");
		document.getElementById("TxtDex").focus();
		return;
	}
	if(EsFecha(Dex)==false){
		alert("Fecha 'Desde' no valida, la fecha debe ser ingresada segun el formato");
		document.getElementById("TxtDex").focus();
		return;
	}	
	if(Hax.trim().length==0){
		alert("Ingrese una fecha 'Hasta' segun el formato");
		document.getElementById("TxtHax").focus();
		return;
	}
	if(EsFecha(Hax)==false){
		alert("Fecha 'Hasta' no valida, la fecha debe ser ingresada segun el formato");
		document.getElementById("TxtHax").focus();
		return;
	}	
	
	if(document.getElementById("CmdG").value=="Procesar"){
		document.getElementById("TxtAc").value="G";
	}else{
		return;
	}
	document.getElementById("Frm").submit();
}
